package util;

import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.service.ServiceRegistry;
import org.hibernate.service.ServiceRegistryBuilder;

public class HibernateUtility {
    private static final SessionFactory sessionFactory;
    
    static {
        try{
            // Kreira SessionFactory na osnovu hibernate.cfg.xml
            Configuration configuration=new Configuration().configure("hibernate.cfg.xml");
            ServiceRegistry sr = new ServiceRegistryBuilder().applySettings(configuration.getProperties()).buildServiceRegistry();
            sessionFactory=configuration.buildSessionFactory(sr);
        }catch(Throwable ex){
            System.err.println("Inicijalno kreiranje SessionFactory nije uspjelo! " + ex);
            throw new ExceptionInInitializerError(ex);
        }
    }
    
    public static SessionFactory getSessionFactory(){
        return sessionFactory;
    }
}
